/* MODAL - ADICIONAR GRUPO */
function addColumnMD()
{
	// Tipos de grupos -> AGRUPAMENTO OU SUMARIO
	var tiposGruposEscolhidos = new Array();
	$("input[name='groupTipo']").each(function(){ tiposGruposEscolhidos.push($(this).val()); });
	
	// Campos do grupos escolhidos
	var camposGruposEscolhidos = new Array();
	$("input[name='groupField']").each(function(){ camposGruposEscolhidos.push($(this).val()); });
	
	$.post(basepath + "principal/addColumn", {
		tabela 		: $("#tabela").val(),
		'tipos[]' 	: tiposGruposEscolhidos,
		'campos[]' 	: camposGruposEscolhidos
	}, function(data){

		$("#janela_modal").html('');
		$("#overlay").html('');
		
		var overlay = '<div id="overlay"></div>';
		var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0','display' : 'none', 'z-index' : '50'};
		
		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '500px','height' : '300px','margin-left' : '-250px','margin-top' : '-175px','background-color' : '#FFF','padding' : '10px','display' : 'none','border' : '4px solid #63A0CE','border-radius' : '10px','z-index' : '51'};
		
		var btnFechar = '<a onClick="fecharModal()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '225px','margin-top' : '-156px'}
		
		var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fecharModal()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-115px','margin-top' : '-50px','width' : '100px'}
		
		var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_ok.png" onClick="coluna()" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '300px','margin-top' : '-50px','width' : '100px'}
		
		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('fast', function(){
			
			$("#janela_modal").append(data);
			
			$("#janela_modal").append(btnFechar);
			$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
			
			$("#janela_modal").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);
			
			$("#janela_modal").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);
			
			$("#janela_modal").css(janelaCSS).fadeIn("slow");
		});
		
		return false;
	});	
}

/* MODAL - ADICIONAR COLUNA */
function addGroupMD()
{
	var colunas = 0;
	$("input[name='colField']").each(function(){ colunas++; });
	
	var gruposEscolhidos = new Array();
	
	$("input[name='groupField']").each(function(){
		gruposEscolhidos.push($(this).val());
	});
	
	$.post(basepath + "principal/addGroup", {
		tabela : $("#tabela").val(),
		colunas : colunas,
		'grupos[]' : gruposEscolhidos
	}, function(data){

		$("#janela_modal").html('');
		$("#overlay").html('');
		
		var overlay = '<div id="overlay"></div>';
		var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0','display' : 'none', 'z-index' : '50'};
		
		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '500px','height' : '300px','margin-left' : '-250px','margin-top' : '-175px','background-color' : '#FFFFFF','padding' : '10px','display' : 'none','border' : '4px solid #63A0CE','border-radius' : '10px','z-index' : '51'};
		
		var btnFechar = '<a onClick="fecharModal()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '225px','margin-top' : '-156px'}
		
		var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fecharModal()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-115px','margin-top' : '-50px','width' : '100px'}
		
		var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_ok.png" onClick="grupo()" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '300px','margin-top' : '-50px','width' : '100px'}
		
		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('fast', function(){
			
			$("#janela_modal").append(data);
			
			$("#colLegenda").val($("#colCampos").val());
			
			$("#janela_modal").append(btnFechar);
			$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
			
			$("#janela_modal").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);
			
			$("#janela_modal").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);
			
			$("#janela_modal").css(janelaCSS).fadeIn("slow");
		});
		
		return false;
	});
}

/* FECHAR A JANELA MODAL */
function fecharModal() 
{
    $("#janela_modal").fadeOut();
    $("#overlay").fadeOut();
}

/* FUNCAO DE CRIACAO DA DIV DE COLUNAS */
function colunaMD() 
{
	var coluna 	  = $('#colCampos').val();
	var legenda	  = $('#colLegenda').val();
	var sumario	  = $('#colSumario').val();

	$.post(basepath + "principal/saveColumn", {
	    coluna  : coluna,
		legenda : legenda,
		sumario : sumario
	}, function(data){
		var dados = eval('(' + data + ')');
		
		$("#addColumn").before(dados.html);
		
		$("#janela_modal").fadeOut();
		$("#overlay").fadeOut();
		
		$(".column").click(selectColumn);
	});
}

/* FUNCAO DE CRIACAO DA DIV DE GRUPOS */
function grupoMD() 
{
	var grupo 	  = $('#colCampos').val();
	var legenda	  = $('#colLegenda').val();
	var tipo	  = $('input[name=rdoTipo]:radio:checked').val();
	
	$.post(basepath + "principal/saveGroup", {
	    grupo 	: grupo,
		legenda : legenda,
		tipo 	: tipo		
	}, function(data){
		var dados = eval('(' + data + ')');
		
		$("#addGroup").before(dados.html);
		
		$("#janela_modal").fadeOut();
		$("#overlay").fadeOut();
		
		var empty = 0;
	
		$(".emptyGroup").each(function(){ empty++; });
		
		if(empty == 0)
			$('#addGroup').hide();
		else
			$('.emptyGroup').first().remove();

		$(".group").click(selectGroup);
		 
		if(tipo == 2)
		{
			var add = true;
			$("input[name='colField']").each(function(){ 
				if( $.trim(grupo) == $.trim($(this).val()) ) add = false;		
			});
			
			if(add)
			{
				jAlert("A coluna <em>'" + grupo + "'</em> foi adicionado para o método ordenação.", 'Alerta!');
				
				$("#addColumn").before(dados.coluna);
				$(".column").click(selectColumn);
			}
		}
	});
}

/* BUSCA DADOS DA COLUNA *
function buscaDadosCampos()
{
	// Tipos de grupos -> AGRUPAMENTO OU SUMARIO
	var tiposGruposEscolhidos = new Array();
	$("input[name='groupTipo']").each(function(){ tiposGruposEscolhidos.push($(this).val()); });
	
	// Campos do grupos escolhidos
	var camposGruposEscolhidos = new Array();
	$("input[name='groupField']").each(function(){ camposGruposEscolhidos.push($(this).val()); });
	
	// Tabela
	var tabela = $("#tabela").val();
	
	// Campo selecionado
	var campo  = $("#colCampos").val();
	
	$.post(basepath + "principal/buscaDadosCampos", {
		tabela 		: tabela,
	    campo  		: campo,
		'tipos[]' 	: tiposGruposEscolhidos,
		'campos[]'  : camposGruposEscolhidos		
	}, function(data){
		var dados = eval('(' + data + ')');
		$("#colLegenda").val(dados.legenda);

		if(dados.disabled)
			$("#colSumario").attr("disabled", true);
		else
			$("#colSumario").removeAttr("disabled");
		
		$("#colSumario option").remove();
		$("#colSumario").append(dados.opcoes);
	});
}

/* BUSCA FUNCAO DA COLUNA *
function buscaComboFuncao(funcao)
{
	// Tipos de grupos -> AGRUPAMENTO OU SUMARIO
	var tiposGruposEscolhidos = new Array();
	$("input[name='groupTipo']").each(function(){ tiposGruposEscolhidos.push($(this).val()); });
	
	// Campos do grupos escolhidos
	var camposGruposEscolhidos = new Array();
	$("input[name='groupField']").each(function(){ camposGruposEscolhidos.push($(this).val()); });
	
	// Tabela
	var tabela = $("#tabela").val();
	
	// Campo selecionado
	var campo  = $("#colCampos").val();
	
	$.post(basepath + "principal/buscaDadosCampos", {
		tabela 		: tabela,
	    campo  		: campo,
		'tipos[]' 	: tiposGruposEscolhidos,
		'campos[]'  : camposGruposEscolhidos		
	}, function(data){
		var dados = eval('(' + data + ')');
		
		if(dados.disabled)
			$("#colSumario").attr("disabled", true);
		else
			$("#colSumario").removeAttr("disabled");
		
		$("#colSumario option").remove();
		$("#colSumario").append(dados.opcoes);

		$("#colSumario option[value='" + funcao + "']").attr("selected", true); 		
	});
}



function editarCampo()
{
	var id = $('#compoSelected').val();
	
	if(id)
	{
		var novoArray = id.split('_');
		var tipo = novoArray[0];
		
		var colunas = 0;
		var gruposEscolhidos = new Array();
		
		var tiposGruposEscolhidos = new Array();
		var camposGruposEscolhidos = new Array();
		
		if(tipo == 'group')
		{
			var cField = $("#" + id).children("input[name='groupField']:first").val();
			var cLegend = $("#" + id).children("input[name='groupLegend']:first").val();
			var cFunction = $("#" + id).children("input[name='groupTipo']:first").val();
			
			$("input[name='colField']").each(function(){ colunas++; });

			$("input[name='groupField']").each(function(){ gruposEscolhidos.push($(this).val()); });
			
			var parametros = 1 + ", \'" + id + "\'";
		}
		else
		{
			var cField = $("#" + id).children("input[name='colField']:first").val();
			var cLegend = $("#" + id).children("input[name='colLegend']:first").val();
			var cFunction = $("#" + id).children("input[name='colFunction']:first").val();
			
			$("input[name='groupTipo']").each(function(){ tiposGruposEscolhidos.push($(this).val()); });
			$("input[name='groupField']").each(function(){ camposGruposEscolhidos.push($(this).val()); });
			
			var parametros = 2 + ", \'" + id + "\'";
		}
		
		$.post(basepath + "principal/editarCampo", {
			tabela : $("#tabela").val(),
			tipo : tipo,
			nomeCampo : cField,
			nomeLegenda : cLegend,
			funcao : cFunction,
			colunas : colunas,
			'grupos[]' : gruposEscolhidos,
			'tipos[]' 	: tiposGruposEscolhidos,
			'campos[]'  : camposGruposEscolhidos
		}, function(data){

			$("#janela_modal").html('');
			$("#overlay").html('');
			
			var overlay = '<div id="overlay"></div>';
			var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0','background-color' : 'black','opacity' : '0.8','filter' : 'alpha(opacity=80)','display' : 'none', 'z-index' : '50'};
			
			var janela = '<div id="janela_modal"></div>';
			var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '500px','height' : '300px','margin-left' : '-250px','margin-top' : '-175px','background-color' : '#FFFFFF','padding' : '10px','display' : 'none','border' : '4px solid #63A0CE','border-radius' : '10px','z-index' : '51'};
			
			var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
			var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '225px','margin-top' : '-156px'}
			
			var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fechar()" />';
			var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-115px','margin-top' : '-50px','width' : '100px'}
			
			var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_alterar.png" onClick="grupoORColumn(' + parametros + ')" />';
			var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '300px','margin-top' : '-50px','width' : '100px'}
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay").css(overlayCSS).fadeIn('slow', function(){
				
				$("#janela_modal").append(data);

				$("#janela_modal").append(btnFechar);
				$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
				
				$("#janela_modal").append(btnCancelar);
				$("#btn_cancelar").css(btnCancelaCSS);
				
				$("#janela_modal").append(btnOK);
				$("#btn_enviar").css(btnOKCSS);
				
				$("#janela_modal").css(janelaCSS).fadeIn("slow");
				
				buscaComboFuncao(cFunction);
			});
			
			return false;
		});
	}
	else
	{
		return false;
	}
}

function grupoORColumn(tipo, id)
{
	if(tipo == 1)
	{
		var campo 	  = $('#colCampos').val();
		var legenda	  = $('#colLegenda').val();
		var funcao	  = $('input[name=rdoTipo]:radio:checked').val();
	}
	else
	{
		var campo 	  = $('#colCampos').val();
		var legenda	  = $('#colLegenda').val();
		var funcao	  = $('#colSumario').val();
	}
	
	$.post(basepath + "principal/editGrupColumn", {
		tipo	: tipo,
	    campo 	: campo,
		legenda : legenda,
		funcao 	: funcao		
	}, function(data){
		$("#" + id).html(data);
		
		$("#janela_modal").fadeOut();
		$("#overlay").fadeOut();
		
		$(".group").click(selectGroup);
		$(".column").click(selectColumn);
	});
}

/* FUNCTION INICIAL */
function init()
{
	pageWidth = $(window).width();
	pageHeight = $(window).height();

	// $("#addColumn").click(addColumn);
	// 
	// $("#addGroup").click(addGroup);
}

$(document).ready(init);